Skip to main content
GET
Get agents

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

agentIds
string[]

Optional filter. List of agents Id to match result.

queueIds
string[]

Optional filter. List of queues Id to match result.

displayName
string

Optional. Agent display name. This is case insensitive and will search for substring anywhere within string, 255 characters max.

email
string<email>

Optional. Agent email.

status
enum<string>

Optional. Indicates a status set by the agent reflecting their availability preferences.

Available options:
ACTIVE,
BUSY,
INVISIBLE,
AWAY
availability
enum<string>

Optional. Indicates the agent status set by the system reflecting the actual availability.

Available options:
ACTIVE,
BUSY,
INVISIBLE,
AWAY
role
enum<string>

Optional. Agent role.

Available options:
AGENT,
SUPERVISOR
enabled
boolean

Optional. Agent enable/disable toggle.

createdAfter
string<date-time>

Optional. Filter results created after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

createdBefore
string<date-time>

Optional. Filter results created before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

updatedAfter
string<date-time>

Optional. Filter results updated after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

updatedBefore
string<date-time>

Optional. Filter results updated before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

limit
integer<int64>
default:10

Size of the result page.

Required range: x <= 999
page
integer<int64>
default:0

Number of the current page.

orderBy
string

This parameter is used to order your results. If an order is not given, the default order id:asc will be applied. Possible ordering fields are properties. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.

Response

OK

agents
AgentResponse · object[]
pagination
Pagination · object